cd "C:\Users\czj968\Dropbox\Political scandals\Juni fra You Gov\Egen replikation af resultater"
********************************Party***************************************
use "data_party_v15.dta", clear

***Table 2 - party part****
recode q1a1-q3b2 (6=.)

gen agg_hosp=q1a1
replace agg_hosp=q1b1 if  agg_hosp==.
gen agg_bankrupt=q2a1
replace agg_bankrupt=q2b1 if  agg_bankrupt==.
gen agg_absence=q3a1
replace agg_absence=q3b1 if  agg_absence==.

svyset [pw=weight]
svy: mean agg_hosp 
svy: mean agg_bank
svy: mean agg_absenc

***Table 3 - party part****
gen treatment_lib_hosp=.
replace treatment_lib_hosp=1 if vist_1==2 | vist_2==2 | vist_3==2
replace treatment_lib_hosp=0 if vist_1==1 | vist_2==1 | vist_3==1

ttest agg_hosp, by(treatment_lib_hosp) 

gen treatment_lib_bankrupt=.
replace treatment_lib_bankrupt=1 if vist_1==4 | vist_2==4 | vist_3==4
replace treatment_lib_bankrupt=0 if vist_1==3 | vist_2==3 | vist_3==3

ttest agg_bankrupt, by(treatment_lib_b) 

gen treatment_lib_absenc=.
replace treatment_lib_absenc=1 if vist_1==6 | vist_2==6 | vist_3==6
replace treatment_lib_absenc=0 if vist_1==5 | vist_2==5 | vist_3==5

ttest agg_absence, by(treatment_lib_a) uneq

**Table 4 - party part***
recode q6 6=., gen(polint)
recode educ 9=.
recode FT_n 1 2 4 9=1 10/99=. else=0, gen(left)
recode gender 2=1 1=0

gen interaction_abs_left=treatment_lib_abs*left
reg agg_abs age gender polint educ children_in_household left treatment_lib_abs interaction_abs_left

gen interaction_bankrupt_left=treatment_lib_bank*left
reg agg_bankrupt age gender polint educ children_in_household left treatment_lib_bank interaction_bankrupt_left

gen interaction_hosp_left=treatment_lib_hosp*left
reg agg_hosp age gender polint educ children_in_household left treatment_lib_hosp interaction_hosp_left

***Div. robustness and illustrations***
*Randomization*
logit treatment_lib_abs age gender polint educ children_in_household left
logit treatment_lib_b age gender polint educ children_in_household left
logit treatment_lib_hosp age gender polint educ children_in_household left

*Graphs*
estsimp reg agg_abs age gender polint educ children_in_household left treatment_lib_abs interaction_abs_left
setx treatment_lib_abs 0 left 1 interaction_abs_left 0 age mean gender mean polint mean education mean children mean 
simqi
setx treatment_lib_abs 1 left 1 interaction_abs_left 1 
simqi 
setx treatment_lib_abs 1 left 0 interaction_abs_left 0 
simqi
setx treatment_lib_abs 0 left 0 interaction_abs_left 0 
simqi

drop b*
estsimp reg agg_bankrupt age gender polint educ children_in_household left treatment_lib_bank interaction_bankrupt_left
setx treatment_lib_bank 0 left 1 interaction_bankrupt_left 0 age mean gender mean polint mean education mean children mean 
simqi
setx treatment_lib_bank 1 left 1 interaction_bankrupt_left 1 
simqi 
setx treatment_lib_bank 1 left 0 interaction_bankrupt_left 0 
simqi
setx treatment_lib_bank 0 left 0 interaction_bankrupt_left 0 
simqi

drop b*
estsimp reg agg_hosp age gender polint educ children_in_household left treatment_lib_hosp interaction_hosp_left
setx treatment_lib_hosp 0 left 1 interaction_hosp_left 0 age mean gender mean polint mean education mean children mean 
simqi
setx treatment_lib_hosp 1 left 1 interaction_hosp_left 1 
simqi 
setx treatment_lib_hosp 1 left 0 interaction_hosp_left 0 
simqi
setx treatment_lib_hosp 0 left 0 interaction_hosp_left 0 
simqi

**Interactions with political interest*
gen interpol_abs=polint*treatment_lib_abs
reg agg_abs age gender polint educ children_in_household left treatment_lib_abs interaction_abs_left interpol_abs

gen interpol_bank=polint*treatment_lib_bank
reg agg_bankrupt age gender polint educ children_in_household left treatment_lib_bank interaction_bankrupt_left interpol_bank

gen interpol_hosp=polint*treatment_lib_hosp
reg agg_hosp age gender polint educ children_in_household left treatment_lib_hosp interaction_hosp_left interpol_hosp

**Test only first scenario***
reg agg_abs age gender polint educ children_in_household left treatment_lib_abs interaction_abs_left if vist_1==5 | vist_1==6
reg agg_bankrupt age gender polint educ children_in_household left treatment_lib_bank interaction_bankrupt_left if vist_1==3 | vist_1==4
reg agg_hosp age gender polint educ children_in_household left treatment_lib_hosp interaction_hosp_left if vist_1==1 | vist_1==2

ttest agg_hosp if vist_1==1 | vist_1==2, by(treatment_lib_hosp) 
ttest agg_bankrupt if vist_1==3 | vist_1==4, by(treatment_lib_b)  
ttest agg_absence if vist_1==5 | vist_1==6, by(treatment_lib_a) 

*********************************************Gender****************************************
use "data_kon_v15.dta", clear

***Table 2 - party part****
recode q1a1-q3b2 (6=.)

gen agg_adult=q1a1
replace agg_adult=q1b1 if  agg_adult==.
gen agg_drunk=q2a1
replace agg_drunk=q2b1 if  agg_drunk==.
gen agg_absence=q3a1
replace agg_absence=q3b1 if  agg_absence==.

svyset [pw=weight]
svy: mean agg_adult 
svy: mean agg_drunk 
svy: mean agg_absence

***Table 3 - gender part****
gen treatment_male_adult=.
replace treatment_male_adult=1 if vist_1==1 | vist_2==1 | vist_3==1
replace treatment_male_adult=0 if vist_1==2 | vist_2==2 | vist_3==2

ttest agg_adult, by(treatment_male_adult) 

gen treatment_male_drunk=.
replace treatment_male_drunk=1 if vist_1==3 | vist_2==3 | vist_3==3 
replace treatment_male_drunk=0 if vist_1==4 | vist_2==4 | vist_3==4

ttest agg_drunk, by(treatment_male_drunk) 

gen treatment_male_absenc=.
replace treatment_male_absenc=1 if vist_1==5 | vist_2==5 | vist_3==5
replace treatment_male_absenc=0 if vist_1==6 | vist_2==6 | vist_3==6

ttest agg_absence, by(treatment_male_ab)

***Table 4 - gender part******
recode q6 6=., gen(polint)
recode educ 9=.
recode FT_n 1 2 4 9=1 10/99=. else=0, gen(left)
recode gender 2=1 1=0

gen interaction_drunk_male=treatment_male_drunk*gender
reg agg_drunk age gender polint educ children_in_household left treatment_male_drunk interaction_drunk_male

gen interaction_absenc_male=treatment_male_absenc*gender
reg agg_absence age gender polint educ children_in_household left treatment_male_absenc interaction_absenc_male

gen interaction_adult_male=treatment_male_adult*gender
reg agg_adult age gender polint educ children_in_household left treatment_male_adult interaction_adult_male

***Div. robustness tests and illustrations***
logit treatment_male_drunk age gender polint educ children_in_household left
logit treatment_male_absenc age gender polint educ children_in_household left
logit treatment_male_adult age gender polint educ children_in_household left

*Graphs*
estsimp reg agg_drunk age gender polint educ children_in_household left treatment_male_adult interaction_drunk_male
setx treatment_male_adult 0 gender 1 interaction_drunk_male 0 age mean left mean polint mean education mean children mean 
simqi
setx treatment_male_adult 1 gender 1 interaction_drunk_male 1 
simqi 
setx treatment_male_adult 1 gender 0 interaction_drunk_male 0 
simqi
setx treatment_male_adult 0 gender 0 interaction_drunk_male 0 
simqi

drop b*
estsimp reg agg_absence age gender polint educ children_in_household left treatment_male_absenc interaction_absenc_male
setx treatment_male_absenc 0 gender 1 interaction_absenc_male 0 age mean left mean polint mean education mean children mean 
simqi
setx treatment_male_absenc 1 gender 1 interaction_absenc_male 1 
simqi 
setx treatment_male_absenc 1 gender 0 interaction_absenc_male 0 
simqi
setx treatment_male_absenc 0 gender 0 interaction_absenc_male 0 
simqi

drop b*
estsimp reg agg_adult age gender polint educ children_in_household left treatment_male_adult interaction_adult_male
setx treatment_male_adult 0 gender 1 interaction_adult_male 0 age mean left mean polint mean education mean children mean 
simqi
setx treatment_male_adult 1 gender 1 interaction_adult_male 1 
simqi 
setx treatment_male_adult 1 gender 0 interaction_adult_male 0 
simqi
setx treatment_male_adult 0 gender 0 interaction_adult_male 0 
simqi

**Interactions with political interest*
gen interpol_drunk=polint*treatment_male_drunk
reg agg_drunk age gender polint educ children_in_household left treatment_male_adult interaction_drunk_male interpol_drunk

gen interpol_abs=polint*treatment_male_abs
reg agg_absence age gender polint educ children_in_household left treatment_male_absenc interaction_absenc_male interpol_abs

gen interpol_adult=polint*treatment_male_adult
reg agg_adult age gender polint educ children_in_household left treatment_male_adult interaction_adult_male interpol_adult

**Test only first scenario***
reg agg_drunk age gender polint educ children_in_household left treatment_male_drunk interaction_drunk_male if vist_1==4 | vist_1==3
reg agg_absence age gender polint educ children_in_household left treatment_male_absenc interaction_absenc_male if vist_1==6 | vist_1==5
reg agg_adult age gender polint educ children_in_household left treatment_male_adult interaction_adult_male if vist_1==1 | vist_1==2

ttest agg_adult if vist_1==1 | vist_1==2, by(treatment_male_adult) 
ttest agg_drunk if vist_1==4 | vist_1==3, by(treatment_male_drunk) 
ttest agg_absence if vist_1==6 | vist_1==5, by(treatment_male_ab)






******************************************************************************************************
******************************************************************************************************
****************************************Alternative dependent*****************************************
cd "C:\Users\czj968\Dropbox\Political scandals\Juni fra You Gov\Egen replikation af resultater"

********************************Party***************************************
use "data_party_v15.dta", clear

***Table 2 - party part****
recode q1a1-q3b2 (6=.)

gen agg_hosp=q1a2
replace agg_hosp=q1b2 if  agg_hosp==.
gen agg_bankrupt=q2a2
replace agg_bankrupt=q2b2 if  agg_bankrupt==.
gen agg_absence=q3a2
replace agg_absence=q3b2 if  agg_absence==.

svyset [pw=weight]
svy: mean agg_hosp 
svy: mean agg_bank
svy: mean agg_absenc

***Table 3 - party part****
gen treatment_lib_hosp=.
replace treatment_lib_hosp=1 if vist_1==2 | vist_2==2 | vist_3==2
replace treatment_lib_hosp=0 if vist_1==1 | vist_2==1 | vist_3==1

ttest agg_hosp, by(treatment_lib_hosp) 

gen treatment_lib_bankrupt=.
replace treatment_lib_bankrupt=1 if vist_1==4 | vist_2==4 | vist_3==4
replace treatment_lib_bankrupt=0 if vist_1==3 | vist_2==3 | vist_3==3

ttest agg_bankrupt, by(treatment_lib_b) 

gen treatment_lib_absenc=.
replace treatment_lib_absenc=1 if vist_1==6 | vist_2==6 | vist_3==6
replace treatment_lib_absenc=0 if vist_1==5 | vist_2==5 | vist_3==5

ttest agg_absence, by(treatment_lib_a) uneq

**Table 4 - party part***
recode q6 6=., gen(polint)
recode educ 9=.
recode FT_n 1 2 4 9=1 10/99=. else=0, gen(left)
recode gender 2=1 1=0

gen interaction_abs_left=treatment_lib_abs*left
reg agg_abs age gender polint educ children_in_household left treatment_lib_abs interaction_abs_left

gen interaction_bankrupt_left=treatment_lib_bank*left
reg agg_bankrupt age gender polint educ children_in_household left treatment_lib_bank interaction_bankrupt_left

gen interaction_hosp_left=treatment_lib_hosp*left
reg agg_hosp age gender polint educ children_in_household left treatment_lib_hosp interaction_hosp_left

****Correlations btw dependent****
use "data_party_v15.dta", clear

recode q1a1-q3b2 (6=.)

gen agg_hosp=q1a1
replace agg_hosp=q1b1 if  agg_hosp==.
gen agg_bankrupt=q2a1
replace agg_bankrupt=q2b1 if  agg_bankrupt==.
gen agg_absence=q3a1
replace agg_absence=q3b1 if  agg_absence==.

gen agg_hosp2=q1a2
replace agg_hosp2=q1b2 if  agg_hosp2==.
gen agg_bankrupt2=q2a2
replace agg_bankrupt2=q2b2 if  agg_bankrupt2==.
gen agg_absence2=q3a2
replace agg_absence2=q3b2 if  agg_absence2==.

pwcorr agg_a*
pwcorr agg_b*
pwcorr agg_h*

*********************************************Gender****************************************
use "data_kon_v15.dta", clear

***Table 2 - party part****
recode q1a1-q3b2 (6=.)

gen agg_adult=q1a2
replace agg_adult=q1b2 if  agg_adult==.
gen agg_drunk=q2a2
replace agg_drunk=q2b2 if  agg_drunk==.
gen agg_absence=q3a2
replace agg_absence=q3b2 if  agg_absence==.

svyset [pw=weight]
svy: mean agg_adult 
svy: mean agg_drunk 
svy: mean agg_absence

***Table 3 - gender part****
gen treatment_male_adult=.
replace treatment_male_adult=1 if vist_1==1 | vist_2==1 | vist_3==1
replace treatment_male_adult=0 if vist_1==2 | vist_2==2 | vist_3==2

ttest agg_adult, by(treatment_male_adult) 

gen treatment_male_drunk=.
replace treatment_male_drunk=1 if vist_1==3 | vist_2==3 | vist_3==3 
replace treatment_male_drunk=0 if vist_1==4 | vist_2==4 | vist_3==4

ttest agg_drunk, by(treatment_male_drunk) 

gen treatment_male_absenc=.
replace treatment_male_absenc=1 if vist_1==5 | vist_2==5 | vist_3==5
replace treatment_male_absenc=0 if vist_1==6 | vist_2==6 | vist_3==6

ttest agg_absence, by(treatment_male_ab)

***Table 4 - gender part******
recode q6 6=., gen(polint)
recode educ 9=.
recode FT_n 1 2 4 9=1 10/99=. else=0, gen(left)
recode gender 2=1 1=0

gen interaction_drunk_male=treatment_male_drunk*gender
reg agg_drunk age gender polint educ children_in_household left treatment_male_drunk interaction_drunk_male

gen interaction_absenc_male=treatment_male_absenc*gender
reg agg_absence age gender polint educ children_in_household left treatment_male_absenc interaction_absenc_male

gen interaction_adult_male=treatment_male_adult*gender
reg agg_adult age gender polint educ children_in_household left treatment_male_adult interaction_adult_male

****Correlations btw dependent****
use "data_kon_v15.dta", clear

recode q1a1-q3b2 (6=.)

gen agg_adult2=q1a1
replace agg_adult2=q1b1 if  agg_adult2==.
gen agg_drunk2=q2a1
replace agg_drunk2=q2b1 if  agg_drunk2==.
gen agg_absence2=q3a1
replace agg_absence2=q3b1 if  agg_absence2==.

gen agg_adult=q1a2
replace agg_adult=q1b2 if  agg_adult==.
gen agg_drunk=q2a2
replace agg_drunk=q2b2 if  agg_drunk==.
gen agg_absence=q3a2
replace agg_absence=q3b2 if  agg_absence==.

pwcorr agg_ab*
pwcorr agg_ad*
pwcorr agg_d*
